@remit/api-openapi-types 0.0.109 → 0.0.111
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/package.json +1 -1
- package/types.d.ts +193 -28
package/package.json
CHANGED
package/types.d.ts
CHANGED
|
@@ -253,6 +253,10 @@ current enum emitter anyway, so the wire contract uses the bare form.
|
|
|
253
253
|
* Why a classification provider cannot run.
|
|
254
254
|
*/
|
|
255
255
|
export type ClassificationUnrunnableReason = "NoBaseUrl" | "NoApiKey";
|
|
256
|
+
/**
|
|
257
|
+
* What a `Junk` verdict of one kind does (RFC 041). The owner picks one for `Spam` and one for `Phishing`.
|
|
258
|
+
*/
|
|
259
|
+
export type SpamLabelPlacement = "MoveToSpam" | "WarnOnly";
|
|
256
260
|
/**
|
|
257
261
|
* Why a classification provider call gave no usable answer.
|
|
258
262
|
*/
|
|
@@ -265,6 +269,14 @@ current enum emitter anyway, so the wire contract uses the bare form.
|
|
|
265
269
|
* Header-derived message category. Set by classifyByHeaders during body-sync. Defaults to `uncategorized`, which covers both a message that has not been classified yet and one the classifier declined to categorize; `Message.classificationState` is what tells those apart.
|
|
266
270
|
*/
|
|
267
271
|
export type MessageCategory = "uncategorized" | "personal" | "newsletter" | "marketing" | "automated" | "transactional" | "social" | "coldOutreach";
|
|
272
|
+
/**
|
|
273
|
+
* What the spam service tells Remit to do with a checked message (RFC 041).
|
|
274
|
+
*/
|
|
275
|
+
export type SpamAction = "None" | "Warn" | "Junk";
|
|
276
|
+
/**
|
|
277
|
+
* What the spam service suspects a checked message of (RFC 041).
|
|
278
|
+
*/
|
|
279
|
+
export type SpamKind = "Spam" | "Phishing";
|
|
268
280
|
/**
|
|
269
281
|
* Sort order for list operations
|
|
270
282
|
*/
|
|
@@ -317,17 +329,13 @@ explained to the user as a failed delete.
|
|
|
317
329
|
*/
|
|
318
330
|
export type SpamSenderScreenRule = "ReportedSender" | "NeverSpam" | "Vip" | "WellKnown" | "Newsletter";
|
|
319
331
|
/**
|
|
320
|
-
*
|
|
321
|
-
*/
|
|
322
|
-
export type SpamAction = "None" | "Warn" | "Junk";
|
|
323
|
-
/**
|
|
324
|
-
* What the spam service suspects a checked message of (RFC 041).
|
|
332
|
+
* The stable name of one check the spam service ran and found something with (RFC 041). A client holds one sentence per name.
|
|
325
333
|
*/
|
|
326
|
-
export type
|
|
334
|
+
export type SpamReasonName = "DmarcFail" | "SignerMismatch" | "ReplyToMismatch" | "LinkTextMismatch" | "LinkDomainDistant" | "PunycodeDomain" | "MixedScriptDomain" | "ConfusableDomains" | "SingleOffDomainLink" | "GeneratedName" | "FirstContactDomain" | "RecentlyRegisteredDomain" | "UnknownRegistrationDate" | "ClassifierSpam" | "ClassifierPhishing" | "ProviderSpam" | "DisplayNameForeignAddress" | "DisplayNameLookalike" | "ModelImpersonation" | "ModelSpam" | "ModelClean" | "ListedPhishingLink" | "BackendSymbol";
|
|
327
335
|
/**
|
|
328
|
-
*
|
|
336
|
+
* What happened to the model call for one checked message (RFC 041 stage 3).
|
|
329
337
|
*/
|
|
330
|
-
export type
|
|
338
|
+
export type SpamModelOutcome = "Answered" | "NotConfigured" | "DailyLimit" | "RateLimited" | "OutOfBand";
|
|
331
339
|
/**
|
|
332
340
|
* Why a spam service gave no verdict (RFC 041).
|
|
333
341
|
*/
|
|
@@ -356,10 +364,6 @@ distinguishable from a network failure without parsing prose.
|
|
|
356
364
|
* Whether the header classifier has examined a message's body (issue #331). Persistence-level state on `Message`, deliberately off the wire: no response model carries it. It exists because `category` cannot answer this question — `uncategorized` is both the value a metadata-synced row starts at and the answer the classifier gives when it has nothing to say, so a guard reading `category` alone cannot tell "never examined" from "examined and declined" and re-reads the stored body on every sync pass forever.
|
|
357
365
|
*/
|
|
358
366
|
export type MessageClassificationState = "NotExamined" | "Examined";
|
|
359
|
-
/**
|
|
360
|
-
* Sender-authenticity tier for a message, resolved at body-sync from the trusted Authentication-Results header and the sender's pair-keyed standing. First match wins, in tier order: `Impersonation`, `Aligned`, `Authenticated`, `Routine`, `NotChecked`, `Caution`. `NotEvaluated` is the sentinel for a message the derivation has never run on — it is the default and what every message written before this field existed carries, and it is distinct from `NotChecked`, which is a result.
|
|
361
|
-
*/
|
|
362
|
-
export type AuthenticityVerdict = "NotEvaluated" | "NotChecked" | "Aligned" | "Authenticated" | "Routine" | "Caution" | "Impersonation";
|
|
363
367
|
/**
|
|
364
368
|
* Authentication verdict for a single auth mechanism, as reported in the Authentication-Results header.
|
|
365
369
|
*/
|
|
@@ -388,6 +392,10 @@ distinguishable from a network failure without parsing prose.
|
|
|
388
392
|
* Message reference types per RFC 2822 Section 3.6.4
|
|
389
393
|
*/
|
|
390
394
|
export type ReferenceType = "in_reply_to" | "references";
|
|
395
|
+
/**
|
|
396
|
+
* Why a rescan left one message unchecked (RFC 041). A caller retries only the retryable codes.
|
|
397
|
+
*/
|
|
398
|
+
export type RescanFailureCode = "RateLimited" | "DailyCap" | "NotSettled" | "NotFound" | "NotPermitted";
|
|
391
399
|
/**
|
|
392
400
|
* Manual bulk label action (issue #26) — apply or remove a label on a `just these` selection. Never sets `appliedByFilterId`: that field is reserved for filter-driven applies (RFC 034 Decision 3.3).
|
|
393
401
|
*/
|
|
@@ -431,7 +439,7 @@ distinguishable from a network failure without parsing prose.
|
|
|
431
439
|
/**
|
|
432
440
|
* Known user-setting keys. Each maps, in the registry, to a required value kind and a zod schema. New keys are added deliberately by extending this enum and the registry — never as an ad-hoc column.
|
|
433
441
|
*/
|
|
434
|
-
export type AccountSettingName = "Theme" | "Density" | "DefaultComposerFormat" | "PinnedFolders" | "AccountSignaturePlainText" | "AccountSignatureHtml" | "AccountDisplayName" | "AccountMuted" | "AccountComposeLanguages" | "MailboxDisplayName" | "MailboxMuted" | "FolderRoleAppointment" | "FolderRoleAppointmentLabel" | "MailboxRole" | "DefaultInvitationSenderAccountId" | "ClassificationPresetId" | "ClassificationModel" | "ClassificationBaseUrl" | "ClassificationApiKey" | "ClassificationEnabled" | "ClassificationDailyLimit" | "ClassificationUsage";
|
|
442
|
+
export type AccountSettingName = "Theme" | "Density" | "DefaultComposerFormat" | "PinnedFolders" | "AccountSignaturePlainText" | "AccountSignatureHtml" | "AccountDisplayName" | "AccountMuted" | "AccountComposeLanguages" | "MailboxDisplayName" | "MailboxMuted" | "FolderRoleAppointment" | "FolderRoleAppointmentLabel" | "MailboxRole" | "DefaultInvitationSenderAccountId" | "ClassificationPresetId" | "ClassificationModel" | "ClassificationBaseUrl" | "ClassificationApiKey" | "ClassificationEnabled" | "ClassificationDailyLimit" | "ClassificationUsage" | "SpamPlacementSpam" | "SpamPlacementPhishing";
|
|
435
443
|
/**
|
|
436
444
|
* Lifecycle of one applied configuration import. An import is Complete the moment every folder reference in the file has been bound to a real mailbox; until then it is Pending, waiting on the IMAP discovery that will produce those mailboxes.
|
|
437
445
|
*/
|
|
@@ -3853,6 +3861,10 @@ field on this resource rather than one more operation.
|
|
|
3853
3861
|
* The classification provider in effect, `Unrunnable` when one is chosen but cannot run, or `NotConfigured`.
|
|
3854
3862
|
*/
|
|
3855
3863
|
classification: ClassificationNotConfigured | ClassificationConfigured | ClassificationUnrunnable;
|
|
3864
|
+
/**
|
|
3865
|
+
* How Remit acts on spam verdicts.
|
|
3866
|
+
*/
|
|
3867
|
+
spam: SpamSettings;
|
|
3856
3868
|
}
|
|
3857
3869
|
/**
|
|
3858
3870
|
* A classification provider the reader can pick.
|
|
@@ -3979,6 +3991,37 @@ field on this resource rather than one more operation.
|
|
|
3979
3991
|
presetId: ClassificationPresetId;
|
|
3980
3992
|
reason: ClassificationUnrunnableReason;
|
|
3981
3993
|
}
|
|
3994
|
+
/**
|
|
3995
|
+
* How Remit acts on spam verdicts for the caller.
|
|
3996
|
+
*/
|
|
3997
|
+
export interface SpamSettings {
|
|
3998
|
+
/**
|
|
3999
|
+
* The thresholds in effect. They come from the deployment (`SPAM_CLEAN_BELOW` and `SPAM_AT`). `Unset` when the deployment uses rspamd, which applies its own.
|
|
4000
|
+
*/
|
|
4001
|
+
thresholds: SpamThresholdsUnset | SpamThresholdsSet;
|
|
4002
|
+
/**
|
|
4003
|
+
* What a `Junk` verdict of kind `Spam` does.
|
|
4004
|
+
*/
|
|
4005
|
+
spamPlacement: SpamLabelPlacement;
|
|
4006
|
+
/**
|
|
4007
|
+
* What a `Junk` verdict of kind `Phishing` does.
|
|
4008
|
+
*/
|
|
4009
|
+
phishingPlacement: SpamLabelPlacement;
|
|
4010
|
+
}
|
|
4011
|
+
/**
|
|
4012
|
+
* No thresholds are set, so every verdict's action is `None` and nothing moves.
|
|
4013
|
+
*/
|
|
4014
|
+
export interface SpamThresholdsUnset {
|
|
4015
|
+
state: "Unset";
|
|
4016
|
+
}
|
|
4017
|
+
/**
|
|
4018
|
+
* The two scores that turn a spam score into an action: below `cleanBelow` nothing happens, from `spamAt` up the message goes to Junk, and between the two the owner is warned.
|
|
4019
|
+
*/
|
|
4020
|
+
export interface SpamThresholdsSet {
|
|
4021
|
+
state: "Set";
|
|
4022
|
+
cleanBelow: number;
|
|
4023
|
+
spamAt: number;
|
|
4024
|
+
}
|
|
3982
4025
|
/**
|
|
3983
4026
|
* A change to the caller's settings. Every field is optional and absence means untouched.
|
|
3984
4027
|
*/
|
|
@@ -4011,6 +4054,14 @@ field on this resource rather than one more operation.
|
|
|
4011
4054
|
* The most classification calls per mail account per UTC day. Needs a provider in effect, saved or inherited.
|
|
4012
4055
|
*/
|
|
4013
4056
|
classificationDailyLimit?: number;
|
|
4057
|
+
/**
|
|
4058
|
+
* What a `Junk` verdict of kind `Spam` does: move the message to Junk, or warn only. Applies to mail arriving from now on.
|
|
4059
|
+
*/
|
|
4060
|
+
spamPlacementSpam?: SpamLabelPlacement;
|
|
4061
|
+
/**
|
|
4062
|
+
* What a `Junk` verdict of kind `Phishing` does: move the message to Junk, or warn only. Applies to mail arriving from now on.
|
|
4063
|
+
*/
|
|
4064
|
+
spamPlacementPhishing?: SpamLabelPlacement;
|
|
4014
4065
|
}
|
|
4015
4066
|
/**
|
|
4016
4067
|
* The classification provider form as it stands, saved or not.
|
|
@@ -4092,6 +4143,14 @@ field on this resource rather than one more operation.
|
|
|
4092
4143
|
*/
|
|
4093
4144
|
byLabel: ClassifierLabelCount[];
|
|
4094
4145
|
corrections: ClassifierCorrections;
|
|
4146
|
+
/**
|
|
4147
|
+
* Spam verdicts of action `Warn` or `Junk` per arrival day, action and kind, in date order. A day with none is absent.
|
|
4148
|
+
*/
|
|
4149
|
+
spamByDay: SpamDayCount[];
|
|
4150
|
+
/**
|
|
4151
|
+
* Checked messages per spam score band of width 0.05, lowest first. A band with none is absent. Summing the bands from a threshold up counts the messages that threshold reaches.
|
|
4152
|
+
*/
|
|
4153
|
+
spamScoreBands: SpamScoreBand[];
|
|
4095
4154
|
}
|
|
4096
4155
|
/**
|
|
4097
4156
|
* Examined messages in one category.
|
|
@@ -4120,6 +4179,28 @@ field on this resource rather than one more operation.
|
|
|
4120
4179
|
*/
|
|
4121
4180
|
categoryOverridden: number;
|
|
4122
4181
|
}
|
|
4182
|
+
/**
|
|
4183
|
+
* Spam verdicts on mail that arrived on one day, for one action and kind.
|
|
4184
|
+
*/
|
|
4185
|
+
export interface SpamDayCount {
|
|
4186
|
+
/**
|
|
4187
|
+
* The arrival day, YYYY-MM-DD, in the zone offset of `since`.
|
|
4188
|
+
*/
|
|
4189
|
+
date: string;
|
|
4190
|
+
/**
|
|
4191
|
+
* `Warn` or `Junk`: the judge's action, before the owner's per-label setting.
|
|
4192
|
+
*/
|
|
4193
|
+
action: SpamAction;
|
|
4194
|
+
kind: SpamKind;
|
|
4195
|
+
count: number;
|
|
4196
|
+
}
|
|
4197
|
+
/**
|
|
4198
|
+
* Checked messages whose spam score falls in one band, `from` inclusive to `from + 0.05` exclusive; the last band includes 1.
|
|
4199
|
+
*/
|
|
4200
|
+
export interface SpamScoreBand {
|
|
4201
|
+
from: number;
|
|
4202
|
+
count: number;
|
|
4203
|
+
}
|
|
4123
4204
|
/**
|
|
4124
4205
|
* Tasks due in the requested window, in due order. Unpaginated: the window is the bound.
|
|
4125
4206
|
*/
|
|
@@ -4983,9 +5064,9 @@ every reader of either would otherwise narrow on the kind first.
|
|
|
4983
5064
|
kind: SpamKind;
|
|
4984
5065
|
reasons: SpamReason[];
|
|
4985
5066
|
/**
|
|
4986
|
-
*
|
|
5067
|
+
* What happened to the model call: `Answered`, or why no answer shaped the verdict.
|
|
4987
5068
|
*/
|
|
4988
|
-
|
|
5069
|
+
modelOutcome: SpamModelOutcome;
|
|
4989
5070
|
}
|
|
4990
5071
|
/**
|
|
4991
5072
|
* One check that found something, shaped like an rspamd symbol.
|
|
@@ -5994,10 +6075,6 @@ either way and cannot tell which it received.
|
|
|
5994
6075
|
* Structured sender-authenticity signal derived from DKIM headers at classification time. Absent for messages classified before this field was introduced — absence means no signal.
|
|
5995
6076
|
*/
|
|
5996
6077
|
authenticity?: MessageAuthenticity;
|
|
5997
|
-
/**
|
|
5998
|
-
* Sender-authenticity tier resolved at body-sync. Defaults to `NotEvaluated`, the named pending state every message written before the derivation existed carries. Top-level rather than a member of `authenticity` on purpose: that blob is absent for all unsigned mail, so a guard keyed on its absence cannot tell "never derived" from "nothing to derive" and would re-derive unsigned mail forever.
|
|
5999
|
-
*/
|
|
6000
|
-
authenticityVerdict: AuthenticityVerdict;
|
|
6001
6078
|
/**
|
|
6002
6079
|
* Provider authentication-results signal parsed from Authentication-Results header. Absent for messages synced before this field was introduced.
|
|
6003
6080
|
*/
|
|
@@ -6185,10 +6262,6 @@ either way and cannot tell which it received.
|
|
|
6185
6262
|
* Structured sender-authenticity signal derived from DKIM headers at classification time. Absent for messages classified before this field was introduced — absence means no signal.
|
|
6186
6263
|
*/
|
|
6187
6264
|
authenticity?: MessageAuthenticity;
|
|
6188
|
-
/**
|
|
6189
|
-
* Sender-authenticity tier resolved at body-sync. Defaults to `NotEvaluated`, the named pending state every message written before the derivation existed carries. Top-level rather than a member of `authenticity` on purpose: that blob is absent for all unsigned mail, so a guard keyed on its absence cannot tell "never derived" from "nothing to derive" and would re-derive unsigned mail forever.
|
|
6190
|
-
*/
|
|
6191
|
-
authenticityVerdict: AuthenticityVerdict;
|
|
6192
6265
|
/**
|
|
6193
6266
|
* Provider authentication-results signal parsed from Authentication-Results header. Absent for messages synced before this field was introduced.
|
|
6194
6267
|
*/
|
|
@@ -6573,6 +6646,48 @@ either way and cannot tell which it received.
|
|
|
6573
6646
|
*/
|
|
6574
6647
|
starColor?: StarColor;
|
|
6575
6648
|
}
|
|
6649
|
+
/**
|
|
6650
|
+
* Messages to check again for spam and category (RFC 041).
|
|
6651
|
+
*/
|
|
6652
|
+
export interface RescanInput {
|
|
6653
|
+
/**
|
|
6654
|
+
* The messages to check, all in the account the path names. At most 10 per call; a backfill sends ten per call.
|
|
6655
|
+
*/
|
|
6656
|
+
messageIds: UUID[];
|
|
6657
|
+
/**
|
|
6658
|
+
* Also apply placement, moving a message the verdict sends to Junk. Without it a rescan writes verdicts, scores and labels only.
|
|
6659
|
+
*/
|
|
6660
|
+
move?: boolean;
|
|
6661
|
+
}
|
|
6662
|
+
/**
|
|
6663
|
+
* The outcome per message, as SQS `SendMessageBatch` answers. The call succeeds when some messages fail.
|
|
6664
|
+
*/
|
|
6665
|
+
export interface RescanResult {
|
|
6666
|
+
successful: RescanSuccess[];
|
|
6667
|
+
failed: RescanFailure[];
|
|
6668
|
+
}
|
|
6669
|
+
/**
|
|
6670
|
+
* One message the rescan checked.
|
|
6671
|
+
*/
|
|
6672
|
+
export interface RescanSuccess {
|
|
6673
|
+
messageId: UUID;
|
|
6674
|
+
verdict: SpamVerdictNotChecked | SpamVerdictScreenedOut | SpamChecked | SpamFailed;
|
|
6675
|
+
/**
|
|
6676
|
+
* Names of the labels the rescan applied to the message.
|
|
6677
|
+
*/
|
|
6678
|
+
labels: string[];
|
|
6679
|
+
}
|
|
6680
|
+
/**
|
|
6681
|
+
* One message the rescan left unchecked.
|
|
6682
|
+
*/
|
|
6683
|
+
export interface RescanFailure {
|
|
6684
|
+
messageId: UUID;
|
|
6685
|
+
code: RescanFailureCode;
|
|
6686
|
+
/**
|
|
6687
|
+
* Whether the same id may succeed on a later call: true for `RateLimited` and `DailyCap`.
|
|
6688
|
+
*/
|
|
6689
|
+
retryable: boolean;
|
|
6690
|
+
}
|
|
6576
6691
|
/**
|
|
6577
6692
|
* Input for bulk flag update operations
|
|
6578
6693
|
*/
|
|
@@ -8882,6 +8997,19 @@ declare namespace Paths {
|
|
|
8882
8997
|
export type $401 = Components.Schemas.ApiError;
|
|
8883
8998
|
}
|
|
8884
8999
|
}
|
|
9000
|
+
namespace RescanMessages {
|
|
9001
|
+
export interface PathParameters {
|
|
9002
|
+
accountId: Components.Schemas.UUID;
|
|
9003
|
+
}
|
|
9004
|
+
export type RequestBody = Components.Schemas.RescanInput;
|
|
9005
|
+
namespace Responses {
|
|
9006
|
+
export type $200 = Components.Schemas.RescanResult;
|
|
9007
|
+
export type $400 = Components.Schemas.ValidationError;
|
|
9008
|
+
export type $404 = Components.Schemas.ApiError;
|
|
9009
|
+
export type $403 = Components.Schemas.ApiError;
|
|
9010
|
+
export type $401 = Components.Schemas.ApiError;
|
|
9011
|
+
}
|
|
9012
|
+
}
|
|
8885
9013
|
namespace UpdateFlags {
|
|
8886
9014
|
export type RequestBody = Components.Schemas.BulkUpdateFlagsInput;
|
|
8887
9015
|
namespace Responses {
|
|
@@ -9503,7 +9631,7 @@ reader organizes the event, none otherwise.
|
|
|
9503
9631
|
config?: AxiosRequestConfig
|
|
9504
9632
|
): OperationResponse<Paths.TestClassificationProvider.Responses.$200>;
|
|
9505
9633
|
/**
|
|
9506
|
-
* ClassificationStatsOperations_getClassificationStats - Count what the classifier decided for mail that arrived on or after `since`, and how often the reader corrected it. Refused with 400 when `since` is not an ISO 8601 date-time with zone offset.
|
|
9634
|
+
* ClassificationStatsOperations_getClassificationStats - Count what the classifier and the spam service decided for mail that arrived on or after `since`, and how often the reader corrected it. Refused with 400 when `since` is not an ISO 8601 date-time with zone offset.
|
|
9507
9635
|
*/
|
|
9508
9636
|
'ClassificationStatsOperations_getClassificationStats'(
|
|
9509
9637
|
parameters?: Parameters<Paths.GetClassificationStats.QueryParameters> | null,
|
|
@@ -9796,6 +9924,14 @@ Counting: `count=true` answers how many CONVERSATIONS match, over the whole scop
|
|
|
9796
9924
|
data?: Paths.UpdateMessageFlags.RequestBody,
|
|
9797
9925
|
config?: AxiosRequestConfig
|
|
9798
9926
|
): OperationResponse<Paths.UpdateMessageFlags.Responses.$200>;
|
|
9927
|
+
/**
|
|
9928
|
+
* AccountMessageOperations_rescanMessages - Check up to 10 messages again with the category classifier and the spam service (RFC 041), and answer once they are done. Sets a category only on mail that is still uncategorized, and never labels a message the owner marked Not spam. Writes verdicts and labels; with `move` it also applies placement. The call succeeds when some messages fail: each lands in `successful` or `failed`.
|
|
9929
|
+
*/
|
|
9930
|
+
'AccountMessageOperations_rescanMessages'(
|
|
9931
|
+
parameters?: Parameters<Paths.RescanMessages.PathParameters> | null,
|
|
9932
|
+
data?: Paths.RescanMessages.RequestBody,
|
|
9933
|
+
config?: AxiosRequestConfig
|
|
9934
|
+
): OperationResponse<Paths.RescanMessages.Responses.$200>;
|
|
9799
9935
|
/**
|
|
9800
9936
|
* MessageBulkOperations_updateFlags - Update flags on multiple messages
|
|
9801
9937
|
*/
|
|
@@ -10491,7 +10627,7 @@ reader organizes the event, none otherwise.
|
|
|
10491
10627
|
};
|
|
10492
10628
|
['/classification-stats']: {
|
|
10493
10629
|
/**
|
|
10494
|
-
* ClassificationStatsOperations_getClassificationStats - Count what the classifier decided for mail that arrived on or after `since`, and how often the reader corrected it. Refused with 400 when `since` is not an ISO 8601 date-time with zone offset.
|
|
10630
|
+
* ClassificationStatsOperations_getClassificationStats - Count what the classifier and the spam service decided for mail that arrived on or after `since`, and how often the reader corrected it. Refused with 400 when `since` is not an ISO 8601 date-time with zone offset.
|
|
10495
10631
|
*/
|
|
10496
10632
|
'get'(
|
|
10497
10633
|
parameters?: Parameters<Paths.GetClassificationStats.QueryParameters> | null,
|
|
@@ -10833,6 +10969,16 @@ Counting: `count=true` answers how many CONVERSATIONS match, over the whole scop
|
|
|
10833
10969
|
config?: AxiosRequestConfig
|
|
10834
10970
|
): OperationResponse<Paths.UpdateMessageFlags.Responses.$200>;
|
|
10835
10971
|
};
|
|
10972
|
+
['/accounts/{accountId}/messages/rescan']: {
|
|
10973
|
+
/**
|
|
10974
|
+
* AccountMessageOperations_rescanMessages - Check up to 10 messages again with the category classifier and the spam service (RFC 041), and answer once they are done. Sets a category only on mail that is still uncategorized, and never labels a message the owner marked Not spam. Writes verdicts and labels; with `move` it also applies placement. The call succeeds when some messages fail: each lands in `successful` or `failed`.
|
|
10975
|
+
*/
|
|
10976
|
+
'post'(
|
|
10977
|
+
parameters?: Parameters<Paths.RescanMessages.PathParameters> | null,
|
|
10978
|
+
data?: Paths.RescanMessages.RequestBody,
|
|
10979
|
+
config?: AxiosRequestConfig
|
|
10980
|
+
): OperationResponse<Paths.RescanMessages.Responses.$200>;
|
|
10981
|
+
};
|
|
10836
10982
|
['/messages/flags']: {
|
|
10837
10983
|
/**
|
|
10838
10984
|
* MessageBulkOperations_updateFlags - Update flags on multiple messages
|
|
@@ -11688,6 +11834,14 @@ export interface Operations {
|
|
|
11688
11834
|
requestBody: Components.Schemas.UpdateFlagsInput;
|
|
11689
11835
|
responses: { 200: { messageId: Components.Schemas.UUID; isRead: boolean; isStarred: boolean }; 404: Components.Schemas.ApiError; 403: Components.Schemas.ApiError; 401: Components.Schemas.ApiError };
|
|
11690
11836
|
};
|
|
11837
|
+
'AccountMessageOperations_rescanMessages': {
|
|
11838
|
+
params: { accountId: Components.Schemas.UUID };
|
|
11839
|
+
query: {};
|
|
11840
|
+
headers: {};
|
|
11841
|
+
cookies: {};
|
|
11842
|
+
requestBody: Components.Schemas.RescanInput;
|
|
11843
|
+
responses: { 200: Components.Schemas.RescanResult; 400: Components.Schemas.ValidationError; 404: Components.Schemas.ApiError; 403: Components.Schemas.ApiError; 401: Components.Schemas.ApiError };
|
|
11844
|
+
};
|
|
11691
11845
|
'MessageBulkOperations_updateFlags': {
|
|
11692
11846
|
params: {};
|
|
11693
11847
|
query: {};
|
|
@@ -11924,6 +12078,9 @@ export type ClassificationSources = Components.Schemas.ClassificationSources;
|
|
|
11924
12078
|
export type ClassificationUsage = Components.Schemas.ClassificationUsage;
|
|
11925
12079
|
export type ClassificationCostPriced = Components.Schemas.ClassificationCostPriced;
|
|
11926
12080
|
export type ClassificationUnrunnable = Components.Schemas.ClassificationUnrunnable;
|
|
12081
|
+
export type SpamSettings = Components.Schemas.SpamSettings;
|
|
12082
|
+
export type SpamThresholdsUnset = Components.Schemas.SpamThresholdsUnset;
|
|
12083
|
+
export type SpamThresholdsSet = Components.Schemas.SpamThresholdsSet;
|
|
11927
12084
|
export type UpdateUserSettingsInput = Components.Schemas.UpdateUserSettingsInput;
|
|
11928
12085
|
export type ClassificationTestInput = Components.Schemas.ClassificationTestInput;
|
|
11929
12086
|
export type ClassificationTestPassed = Components.Schemas.ClassificationTestPassed;
|
|
@@ -11932,6 +12089,8 @@ export type ClassifierStats = Components.Schemas.ClassifierStats;
|
|
|
11932
12089
|
export type ClassifierCategoryCount = Components.Schemas.ClassifierCategoryCount;
|
|
11933
12090
|
export type ClassifierLabelCount = Components.Schemas.ClassifierLabelCount;
|
|
11934
12091
|
export type ClassifierCorrections = Components.Schemas.ClassifierCorrections;
|
|
12092
|
+
export type SpamDayCount = Components.Schemas.SpamDayCount;
|
|
12093
|
+
export type SpamScoreBand = Components.Schemas.SpamScoreBand;
|
|
11935
12094
|
export type CalendarTaskListResponse = Components.Schemas.CalendarTaskListResponse;
|
|
11936
12095
|
export type CalendarTask = Components.Schemas.CalendarTask;
|
|
11937
12096
|
export type CalendarTaskResponse = Components.Schemas.CalendarTaskResponse;
|
|
@@ -12003,6 +12162,10 @@ export type MessageReference = Components.Schemas.MessageReference;
|
|
|
12003
12162
|
export type MessageReferenceResponse = Components.Schemas.MessageReferenceResponse;
|
|
12004
12163
|
export type RawMessageResponse = Components.Schemas.RawMessageResponse;
|
|
12005
12164
|
export type UpdateFlagsInput = Components.Schemas.UpdateFlagsInput;
|
|
12165
|
+
export type RescanInput = Components.Schemas.RescanInput;
|
|
12166
|
+
export type RescanResult = Components.Schemas.RescanResult;
|
|
12167
|
+
export type RescanSuccess = Components.Schemas.RescanSuccess;
|
|
12168
|
+
export type RescanFailure = Components.Schemas.RescanFailure;
|
|
12006
12169
|
export type BulkUpdateFlagsInput = Components.Schemas.BulkUpdateFlagsInput;
|
|
12007
12170
|
export type MessageBulkOperationResult = Components.Schemas.MessageBulkOperationResult;
|
|
12008
12171
|
export type DeleteMessagesInput = Components.Schemas.DeleteMessagesInput;
|
|
@@ -12114,9 +12277,12 @@ export type ClassificationPresetGroup = Components.Schemas.ClassificationPresetG
|
|
|
12114
12277
|
export type ClassificationAdapterShape = Components.Schemas.ClassificationAdapterShape;
|
|
12115
12278
|
export type ClassificationValueSource = Components.Schemas.ClassificationValueSource;
|
|
12116
12279
|
export type ClassificationUnrunnableReason = Components.Schemas.ClassificationUnrunnableReason;
|
|
12280
|
+
export type SpamLabelPlacement = Components.Schemas.SpamLabelPlacement;
|
|
12117
12281
|
export type ClassificationFailureKind = Components.Schemas.ClassificationFailureKind;
|
|
12118
12282
|
export type ClassificationField = Components.Schemas.ClassificationField;
|
|
12119
12283
|
export type MessageCategory = Components.Schemas.MessageCategory;
|
|
12284
|
+
export type SpamAction = Components.Schemas.SpamAction;
|
|
12285
|
+
export type SpamKind = Components.Schemas.SpamKind;
|
|
12120
12286
|
export type SortOrder = Components.Schemas.SortOrder;
|
|
12121
12287
|
export type StarColor = Components.Schemas.StarColor;
|
|
12122
12288
|
export type SenderTrust = Components.Schemas.SenderTrust;
|
|
@@ -12127,15 +12293,13 @@ export type MessageMutation = Components.Schemas.MessageMutation;
|
|
|
12127
12293
|
export type PlacementAction = Components.Schemas.PlacementAction;
|
|
12128
12294
|
export type PlacementConfidence = Components.Schemas.PlacementConfidence;
|
|
12129
12295
|
export type SpamSenderScreenRule = Components.Schemas.SpamSenderScreenRule;
|
|
12130
|
-
export type SpamAction = Components.Schemas.SpamAction;
|
|
12131
|
-
export type SpamKind = Components.Schemas.SpamKind;
|
|
12132
12296
|
export type SpamReasonName = Components.Schemas.SpamReasonName;
|
|
12297
|
+
export type SpamModelOutcome = Components.Schemas.SpamModelOutcome;
|
|
12133
12298
|
export type SpamFailureKind = Components.Schemas.SpamFailureKind;
|
|
12134
12299
|
export type OutboxAttachmentState = Components.Schemas.OutboxAttachmentState;
|
|
12135
12300
|
export type OutboxAttachmentRejectionReason = Components.Schemas.OutboxAttachmentRejectionReason;
|
|
12136
12301
|
export type AddressFlagKey = Components.Schemas.AddressFlagKey;
|
|
12137
12302
|
export type MessageClassificationState = Components.Schemas.MessageClassificationState;
|
|
12138
|
-
export type AuthenticityVerdict = Components.Schemas.AuthenticityVerdict;
|
|
12139
12303
|
export type AuthResultVerdict = Components.Schemas.AuthResultVerdict;
|
|
12140
12304
|
export type AddressRole = Components.Schemas.AddressRole;
|
|
12141
12305
|
export type MediaType = Components.Schemas.MediaType;
|
|
@@ -12143,6 +12307,7 @@ export type TransferEncoding = Components.Schemas.TransferEncoding;
|
|
|
12143
12307
|
export type ContentDisposition = Components.Schemas.ContentDisposition;
|
|
12144
12308
|
export type MultipartSubtype = Components.Schemas.MultipartSubtype;
|
|
12145
12309
|
export type ReferenceType = Components.Schemas.ReferenceType;
|
|
12310
|
+
export type RescanFailureCode = Components.Schemas.RescanFailureCode;
|
|
12146
12311
|
export type LabelAction = Components.Schemas.LabelAction;
|
|
12147
12312
|
export type CalendarSuggestionState = Components.Schemas.CalendarSuggestionState;
|
|
12148
12313
|
export type CalendarSuggestionSource = Components.Schemas.CalendarSuggestionSource;
|